# SNESQuadraticLineSearch

Performs a quadratic line search.

### Synopsis

    PetscErrorCode SNESQuadraticLineSearch(SNES snes,void *lsctx,Vec x,Vec f,Vec g,Vec y,Vec w,PetscReal fnorm,PetscReal *ynorm,PetscReal *gnorm,PetscTruth *flag)

Collective on SNES and Vec

### Input Parameters

| snes | - the SNES context
| lsctx | - optional context for line search (not used here)
| x | - current iterate
| f | - residual evaluated at x
| y | - search direction (contains new iterate on output)
| w | - work vector
| fnorm | - 2-norm of f

### Output Parameters

| g | - residual evaluated at new iterate y
| y | - new iterate (contains search direction on input)
| gnorm | - 2-norm of g
| ynorm | - 2-norm of search length
| flag | - PETSC_TRUE if line search succeeds; PETSC_FALSE on failure.

### Options Database Key

-snes_ls quadratic -Activates SNESQuadraticLineSearch()

### Notes

Use SNESSetLineSearch() to set this routine within the SNESLS method.

### Keywords

SNES, nonlinear, quadratic, line search

### See Also

SNESCubicLineSearch(), SNESNoLineSearch(), SNESSetLineSearch(), SNESNoLineSearchNoNorms()

Level:advanced
Location:src/snes/impls/ls/ls.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages